public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-network-displays/
Date: Sun, 30 Oct 2022 13:10:26 +0000 (UTC)	[thread overview]
Message-ID: <1667135414.04b4d28193c3866ea9584cbc2d4cdac5bbf55304.pacho@gentoo> (raw)

commit:     04b4d28193c3866ea9584cbc2d4cdac5bbf55304
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 30 13:08:52 2022 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Oct 30 13:10:14 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=04b4d281

gnome-extra/gnome-network-displays: Fix tests and call EPYTHON

Closes: https://bugs.gentoo.org/878599
Closes: https://bugs.gentoo.org/878601
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 .../gnome-network-displays-0.90.5.ebuild             | 20 ++++++++++++++++----
 1 file changed, 16 insertions(+), 4 deletions(-)

diff --git a/gnome-extra/gnome-network-displays/gnome-network-displays-0.90.5.ebuild b/gnome-extra/gnome-network-displays/gnome-network-displays-0.90.5.ebuild
index b0daf152a1a2..d8d6653a52a5 100644
--- a/gnome-extra/gnome-network-displays/gnome-network-displays-0.90.5.ebuild
+++ b/gnome-extra/gnome-network-displays/gnome-network-displays-0.90.5.ebuild
@@ -2,7 +2,8 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
-inherit gnome.org gnome2-utils meson xdg
+PYTHON_COMPAT=( python3_{8..11} )
+inherit gnome.org gnome2-utils meson python-any-r1 xdg
 
 DESCRIPTION="Stream the desktop to Wi-Fi Display capable devices"
 HOMEPAGE="https://gitlab.gnome.org/GNOME/gnome-network-displays"
@@ -10,7 +11,8 @@ HOMEPAGE="https://gitlab.gnome.org/GNOME/gnome-network-displays"
 LICENSE="GPL-3+"
 SLOT="0"
 KEYWORDS="~amd64"
-IUSE="firewalld"
+IUSE="firewalld test"
+RESTRICT="!test? ( test )"
 
 RDEPEND="
 	dev-libs/glib:2
@@ -29,14 +31,24 @@ RDEPEND="
 "
 DEPEND="${RDEPEND}"
 BDEPEND="
-	dev-libs/appstream-glib
-	dev-util/desktop-file-utils
+	${PYTHON_DEPS}
 	sys-devel/gettext
 	virtual/pkgconfig
+	test? (
+		dev-libs/appstream-glib
+		dev-util/desktop-file-utils
+	)
 "
 
 DOCS=( README.md )
 
+src_prepare() {
+	default
+	# https://gitlab.gnome.org/GNOME/gnome-network-displays/-/issues/272
+	sed -i -e "s/args: \['validate'/args: \['--nonet', 'validate'/" \
+		data/meson.build || die
+}
+
 src_configure() {
 	local emesonargs=(
 		$(meson_use firewalld firewalld_zone)


             reply	other threads:[~2022-10-30 13:10 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-10-30 13:10 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-08 18:16 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-network-displays/ Pacho Ramos
2024-11-08 18:16 Pacho Ramos
2024-09-09  8:31 Pacho Ramos
2024-07-12  8:51 Pacho Ramos
2024-07-12  8:50 Pacho Ramos
2024-02-02 17:31 Pacho Ramos
2023-09-22  6:40 Andrew Ammerlaan
2022-12-20  8:43 Pacho Ramos
2022-12-20  8:43 Pacho Ramos
2022-10-28 15:15 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1667135414.04b4d28193c3866ea9584cbc2d4cdac5bbf55304.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox